
// ---------------------------------------------------------------------------------
// Sample code provided to Capita SIMS Partners under consultancy (Hereafter 'partners')
// Written by Andy McGowan 30 Sep 2011
// 
// Sample code is copyright (c) Capita Group PLC
//
// Capita grants rights to use the code on an 'as is' basis to partners for the purpose
// of interfacing with SIMS .net and is for their own use.  Code may be used in whole or in part for
// the partners's application(s).  Rights are subject to the restrictions below.
//
// This code may not be used for commercial purposes without a partnership agreement with capita
// if the code is provided to schools for their own use then further consent from Capita Group PLC
// must be obtained before the code can be re-used for commercial gain.
//
// No warranty is provided . This header must be retained within the code and Copyright acknowleged as
// Parts (c) Capita Group PLC 2011 in version info.
//
// Code samples may be used to support other partners and no exclusivity is implied herein 
//
// ---------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SIMS.UserInterfaces.EProcurement
{
    /// <summary>
    /// Form to launch the three other types of test forms in the application.
    /// 
    /// All the web services are tested through the EProcComInterface assembly. 
    /// Unfortunatley we cannot create the COM objects themselves here, as .NET does not
    /// support instanciating a COM object that was created in .NET
    /// </summary>
    /// <author>Robert O'Reilly</author>
    /// <date>17 December 2007</date>
    /// <status>Does not require approval</status>
    public partial class PortalServiceTestBed : Form
    {
        /// <summary>
        /// Standard constructor
        /// </summary>
        public PortalServiceTestBed()
        {
            InitializeComponent();
        }



        /// <summary>
        /// Launch the web service test form
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void butTestServices_Click(object sender, EventArgs e)
        {
            WebServiceTest ws = new WebServiceTest();
            ws.Show();
        }

        /// <summary>
        /// Launch the update internet form
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void butUpdateInternet_Click(object sender, EventArgs e)
        {
            UpdateInternetSettings internet = new UpdateInternetSettings();
            internet.Show();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            AboutBox b = new AboutBox();
            b.ShowDialog();
        }
    }
}